In association with heise online

13 August 2010, 12:16

Puppy Linux 5.1: Now Ubuntu Lucid Lynx package compatible

  • Twitter
  • Facebook
  • submit to slashdot
  • StumbleUpon
  • submit to reddit

Zoom Puppy Linux 5.1's new Quickpet package installer
The latest release of Puppy Linux, version 5.1, is codenamed "Lucid Puppy" as it is now binary compatible with the packages available for Ubuntu 10.04, Lucid Lynx. The announcement and release notes say that because of this compatibility the time now taken to produce "packages that are tested and configured for Lucid Puppy is extremely short". Lucid Puppy can now be downloaded (direct download) as a 130MB Live CD ISO file. Work on Puppy Linux 5.1 has focussed on improving the "lean and fast" distributions user interface, with friendlier dialogues and enhanced graphics, along with upgrading the many packages and tools of the distribution.

The Puppy Linux 5.1 now offers more programs for easy installation, whether through the new Quickpet application, which offers single click installation, or through the more tradition Puppy Package Manager, which is now able to obtain 50 packages of "the best Linux programs, tested and configured for Puppy" from the Puppy-Lucid Repository. There is also a Simple Network Set-up utility to simplify the process of connecting Puppy to a network. Puppy Linux 5.0 was not directly created by Puppy Linux found Barry Kauler, but by a team of developers in the Puppy Linux community, with Mick Amadio as its Chief developer and Coordinator Larry Short.

See also:


Print Version | Send by email | Permalink:

  • July's Community Calendar

The H Open

The H Security

The H Developer

The H Internet Toolkit